#ifndef GOODS_H
#define GOODS_H

#include <string>

class Goods
{
    std::string name;
    double quantity; // by weight or by the piece
    double price_per_unit;
public:
    Goods(std::string, double, double);
    double calculate_total_price();

    std::string get_name();
    double get_quantity();
    double get_price_per_unit();

    void set_name(std::string);
    void set_quantity(double);
    void set_price_per_unit(double);
};

#endif // GOODS_H
